{% extends "base.html" %}

{% block contenido %}


<main>
	<center>
		<div class="section"></div>


		<div class="container">
			<div class="z-depth-1 grey lighten-4 row" style="display: inline-block; padding: 32px 48px 0px 48px; border: 1px solid #EEE; width: 60%;">
                {% if 'registrado' in request.GET %}
                <div class="row">
                    <div class="col s12 m10 l10 offset-m1 offset-l1">
                        <div class="chip green" style="padding: 5px 5px 5px 10px; width: 90%; height: 100%;">
                            <i class=" close material-icons right white-text">close</i>
                            <center>
                            <h6 class="white-text">Usuario registrado correctamente.<h6>
                            </center>
                        </div>
                    </div>
                </div>
                {% endif %} 
                <form class="col s12" action="{% url 'ingresar' %}" method="POST">
					{% csrf_token %}
					<div class='row'>
						<div class="row">
                            <!--<h5>Ingresar</h5>-->
                            <img src="/static/imagenes/login.png" alt="login" style="height: 80px;">
						</div>

						<div class='col s12'>
							<div class="row">

								{% if form.errors %}
								<div class="col s12 m10 l10 offset-m1 offset-l1">
									<div class="chip red" style="padding: 5px 5px 5px 10px; width: 100%; height: 100%;">
										<i class=" close material-icons right white-text">close</i>
										<center>
                                        <h6 class="white-text">Verifique su contraseña o nombre de usuario<h6>
                                        </center>
                                    </div>
                                </div>
                                {% endif %}

                            </div>
                        </div>
                    </div>


                    <div class='row'>
                        <div class='input-field col s12'>
                            <input class='validate login__form' type='text' name='username' id='username' required="required" />
                            <label for='username'>Nombre de usuario</label>
                            <span class="helper-text">
                                {% for error in form.username.errors %}
                                {{ error|escape }} <br>
                                {% endfor %}
                            </span>
                        </div>
                    </div>

                    <div class='row'>
                        <div class='input-field col s12'>
                            <input class='validate login__form' type='password' name='password' id='password' required="required" />
                            <label for='password'>Contraseña</label>
                            <span class="helper-text">
                                {% for error in form.password.errors %}
                                {{ error|escape }} <br>
                                {% endfor %}
                            </span>
                        </div>
                    </div>

                    <br />
                    <center>
                    <div class='row'>
                        <button type='submit' name='btn_login' class='col s12 btn btn-large waves-effect'>Ingresar</button>
                    </div>
			        </center>
                </form>
                <div class='row'>
                    <p>¿No tiene una cuenta? Registrese <a href="{% url 'registrar' %}">aquí</a>.</p>
                </div>
                
            </div>
        </div>
    </center>

    <div class="section"></div>
    <div class="section"></div>
</main>


{% endblock contenido %}
